XROOTCONSOLE(1)

NAME
xrootconsole - display a file (or stdin) to a transparent window

SYNOPSIS
xrootconsole [options] [file]

DESCRIPTION
xrootconsole is a small utility which displays its input in a transparent text box on X's root window. It will read from any file listed on the command line or, by default, from stdin. It is most useful when it reads from a FIFO; this allows you to redirect multiple commands to the FIFO and monitor their output.

The options are as follows:

-fg color
    This option specifies the color to use for displaying text. The default is “black.”

-bg color
    This option specifies the color to AND with the root window, for shaded transparency. The default is “clear.”

-bw number
    This option specifies the width of the border around xrootconsole in pixels. The default is 0.

-bd color
    This option specifies the color to use for the border of the window. The default is “black.”

-fn font
    This option specifies the font to use for displaying text. The default is “fixed.”

-c number
    This option produces output that is number columns wide. Text is written vertically down each column in the order in which text is received from the input file. The default is 1.

--topdown
    Forces xrootconsole to display new lines from its input at the top of the screen, scrolling previous lines down. Default behavior is to insert new lines at the bottom and scroll the previous lines up.

--wrap
    Rather than truncating long lines, this option specifies that xrootconsole should wrap excess text to the following line or lines, as necessary.

--ansi-color
    Enable color support by parsing ANSI escape sequences.

-geometry geometry
    This option specifies the preferred size and position of the window; see X(1). The default is “80x10+0+0.”

-h, --help
    Displays a detailed usage message and exits.

-v, --version
    Displays the program version and exits.

file
    Optionally specifies a file from which to read input; by default, xrootconsole reads from the standard input.

DIAGNOSTICS
Exit status is 0 on success, and 1 if the command fails for any reason.

AUTHORS
Eric Youngblut is the original author of xrootconsole. Bob Galloway <bob@de-fac.to> is the current maintainer. Alexandre Duret-Lutz eliminated flicker by storing the background pixmap and drawing off-screen. This manual page was written by Zak Johnson <zakj@i.am>.